let watermark = {}

let setWatermark = (str1, str2) => {
  let id = '1.23452384164.123412415'
  if (document.getElementById(id) !== null) {
    document.body.removeChild(document.getElementById(id))
  }
  //创建一个画布
  let can = document.createElement('canvas')
  //设置画布的长宽
  can.width = 400
  can.height = 100
  let cans = can.getContext('2d')
  //旋转角度
  cans.rotate(-10 * Math.PI / 180)
  cans.font = '12px Vedana'
  //设置填充绘画的颜色、渐变或者模式
  //cans.fillStyle = 'rgba(200, 200, 200, 0.40)'
  cans.fillStyle = '#000'
  //设置文本内容的当前对齐方式
  cans.textAlign = 'center'
  //设置在绘制文本时使用的当前文本基线
  cans.textBaseline = 'Middle'
  //在画布上绘制填色的文本（输出的文本，开始绘制文本的x坐标位置，开始绘制文本的Y坐标位置）
  cans.fillText(str1, can.width / 2, can.height)
  cans.fillText(str2, can.width / 2, can.height + 22)
  let div = document.createElement('div')
  div.id = id
  div.style.pointerEvents = 'none'
  div.style.top = '0vw'
  div.style.left = '-10%'
  div.style.opacity = '0.15'
  div.style.position = 'fixed'
  div.style.zIndex = '100000'
  div.style.width = document.documentElement.clientWidth + 'px'
  div.style.height = document.documentElement.clientHeight + 'px'
  div.style.background = 'url(' + can.toDataURL('image/png') + ') left top repeat'
  document.body.appendChild(div)
  return id
}

//添加水印方法
watermark.set = (str1, str2) => {
  let id = setWatermark(str1, str2)
  setInterval(() => {
    if (document.getElementById(id) === null) {
      id = setWatermark(str1, str2)
    }
  }, 2000)
  window.onresize = () => {
    setWatermark(str)
  }
}

//添加水印方法
watermark.set = (str1, str2) => {
  let id = setWatermark(str1, str2)
  if (document.getElementById(id) === null) {
    id = setWatermark(str1, str2)
  }
}


//添加水印方法
watermark.remove = () => {
  let id = '1.23452384164.123412415'
  if (document.getElementById(id) !== null) {
     document.body.removeChild(document.getElementById(id))
    // const div = document.getElementById(id)
    // div.style.display = 'none'
  }
}
export default watermark